View Issue Details

IDProjectCategoryView StatusLast Update
0032430Open CASCADEPRODUCTS:Codingpublic2021-12-17 18:41
Reporterbugmaster Assigned Tokgv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
OSmacOS 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032430: Coding Rules - eliminate CLang warning -Wdeprecated-copy within OCC Products compilation
DescriptionWarnings during compilation of IFC component on macosx arm64

http://jenkins-test-11.nnov.opencascade.com/view/CR0-MacOS-arm64-port_master/view/PRODUCTS%20compile/job/CR0-MacOS-arm64-port_master-Products-Arm64-macosx-shared-opt-compile/1/warnings10Result/

TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032431 assignedbugmaster Open CASCADE Porting OCCT and Products to macOS Big Sur arm64 

Activities

git

2021-06-11 14:52

administrator   ~0101779

Branch CR32430 has been created by kgv.

SHA-1: 279d6dfa785f263bf3e8a3b565a18ff8c6ef762f


Detailed log of new commits:

Author: kgv
Date: Fri Jun 11 14:52:37 2021 +0300

    0032430: Coding Rules - eliminate CLang warning -Wdeprecated-copy
    
    Introduced Standard_DELETE alias to C++11 feature "=delete".

git

2021-06-11 14:54

administrator   ~0101780

Branch CR32430 has been updated forcibly by kgv.

SHA-1: 39aee58ad53a1c1268d21377f3f560f99cf32192

kgv

2021-06-11 16:44

developer   ~0101786

Please check on extended Jenkins
- OCCT: branch CR32430;
- OCC Products: branch CR32430.

bugmaster

2021-06-19 11:26

administrator   ~0101933

Combination -
OCCT branch : IR-2021-06-18
master SHA - 4db6d89bc6d71c5bc627acde17c27dbbba52bae3
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-18 SHA - eca8d7ed97b918b2f5ea5d9d6e54f6ca4db4e9df
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17401.600000000442 / 17450.34000000035 [-0.28%]
Products
Total CPU difference: 11508.180000000091 / 11477.640000000127 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19191.265625 / 19269.40625 [-0.41%]
Products
Total CPU difference: 12883.6875 / 12905.015625 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-08-23 22:59

administrator   ~0103365

Branch CR32430 has been deleted by kgv.

SHA-1: 39aee58ad53a1c1268d21377f3f560f99cf32192

Related Changesets

occt-products: master eca8d7ed

2021-06-10 17:15:55

kgv


Committer: bugmaster Details Diff
0032430: Coding Rules - eliminate CLang warning -Wdeprecated-copy within OCC Products compilation Affected Issues
0032430
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File

occt: master 1790e9f2

2021-06-11 11:52:37

kgv


Committer: bugmaster Details Diff
0032430: Coding Rules - eliminate CLang warning -Wdeprecated-copy

Introduced Standard_DELETE alias to C++11 feature "=delete".
Affected Issues
0032430
mod - src/Extrema/Extrema_ExtCC.hxx Diff File
mod - src/Extrema/Extrema_ExtCS.hxx Diff File
mod - src/Extrema/Extrema_GenExtCS.hxx Diff File
mod - src/Extrema/Extrema_GenExtPS.hxx Diff File
mod - src/Extrema/Extrema_GenExtSS.hxx Diff File
mod - src/Standard/Standard_Macro.hxx Diff File

Issue History

Date Modified Username Field Change
2021-06-10 16:51 bugmaster New Issue
2021-06-10 16:51 bugmaster Assigned To => abv
2021-06-10 16:52 bugmaster Assigned To abv => kgv
2021-06-10 16:52 bugmaster Status new => assigned
2021-06-10 16:58 bugmaster Relationship added child of 0032431
2021-06-10 17:06 kgv OS => macOS
2021-06-10 17:06 kgv OS Version => arm64
2021-06-10 17:06 kgv Platform arm64 =>
2021-06-10 17:06 kgv Product Version => 7.5.0
2021-06-10 17:06 kgv Summary Coding - Warnings during compilation of IFC component on macosx arm64 => Coding Rules - eliminate CLang warning -Wdeprecated-copy within OCC Products compilation
2021-06-10 17:06 kgv Description Updated
2021-06-11 14:52 git Note Added: 0101779
2021-06-11 14:54 git Note Added: 0101780
2021-06-11 16:44 kgv Note Added: 0101786
2021-06-11 16:44 kgv Assigned To kgv => bugmaster
2021-06-11 16:44 kgv Status assigned => feedback
2021-06-16 17:32 bugmaster Description Updated
2021-06-16 17:54 bugmaster Status feedback => reviewed
2021-06-19 11:26 bugmaster Note Added: 0101933
2021-06-19 11:26 bugmaster Status reviewed => tested
2021-06-19 11:31 bugmaster Test case number => Not required
2021-06-19 11:37 bugmaster Changeset attached => occt master 1790e9f2
2021-06-19 11:37 bugmaster Status tested => verified
2021-06-19 11:37 bugmaster Resolution open => fixed
2021-08-23 22:59 git Note Added: 0103365
2021-12-17 18:41 bugmaster Changeset attached => occt-products master eca8d7ed
2021-12-17 18:41 kgv Assigned To bugmaster => kgv
2021-12-17 18:41 kgv Status closed => verified